POST api/PatientApplicationAuthentication

Authenticate patient access using an authorized application.

Request Information

URI Parameters

None.

Body Parameters

PatientApplicationAuthenticationModel
NameDescriptionTypeAdditional information
EclClientAccountNumber

Identifier of the account in the portal.

string

None.

PatientUsername

Username of the patient.

string

None.

PatientPassword

Password of the patient.

string

None.

ApplicationInstanceId

Identifier of the patient application.

string

None.

PatientAccountNumber

Patient account number(Read only).

string

None.

Latitude

Latitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal.

decimal number

None.

Longitude

Longitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal.

decimal number

None.

Request Formats

application/json, text/json

Sample:
{
  "eclClientAccountNumber": "sample string 1",
  "patientUsername": "sample string 2",
  "patientPassword": "sample string 3",
  "applicationInstanceId": "sample string 4",
  "patientAccountNumber": "sample string 5",
  "latitude": 6.0,
  "longitude": 7.0
}

application/xml, text/xml

Sample:
<PatientApplicationAuthenticationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientApplicationAuthentication">
  <ApplicationInstanceId>sample string 4</ApplicationInstanceId>
  <EclClientAccountNumber>sample string 1</EclClientAccountNumber>
  <Latitude>6</Latitude>
  <Longitude>7</Longitude>
  <PatientAccountNumber>sample string 5</PatientAccountNumber>
  <PatientPassword>sample string 3</PatientPassword>
  <PatientUsername>sample string 2</PatientUsername>
</PatientApplicationAuthenticationModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'PatientApplicationAuthenticationModel'.

Response Information

Resource Description

PatientApplicationAuthenticationModel
NameDescriptionTypeAdditional information
EclClientAccountNumber

Identifier of the account in the portal.

string

None.

PatientUsername

Username of the patient.

string

None.

PatientPassword

Password of the patient.

string

None.

ApplicationInstanceId

Identifier of the patient application.

string

None.

PatientAccountNumber

Patient account number(Read only).

string

None.

Latitude

Latitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal.

decimal number

None.

Longitude

Longitude of the coordinates provided by the patient application, to be verified by the security policy created by the patient in the portal.

decimal number

None.

Response Formats

application/json, text/json

Sample:
{
  "eclClientAccountNumber": "sample string 1",
  "patientUsername": "sample string 2",
  "patientPassword": "sample string 3",
  "applicationInstanceId": "sample string 4",
  "patientAccountNumber": "sample string 5",
  "latitude": 6.0,
  "longitude": 7.0
}

application/xml, text/xml

Sample:
<PatientApplicationAuthenticationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.PatientApplicationAuthentication">
  <ApplicationInstanceId>sample string 4</ApplicationInstanceId>
  <EclClientAccountNumber>sample string 1</EclClientAccountNumber>
  <Latitude>6</Latitude>
  <Longitude>7</Longitude>
  <PatientAccountNumber>sample string 5</PatientAccountNumber>
  <PatientPassword>sample string 3</PatientPassword>
  <PatientUsername>sample string 2</PatientUsername>
</PatientApplicationAuthenticationModel>